%--------------------------------------------------------------------------
% File     : TOP007-1 : TPTP v3.0.1. Released v1.0.0.
% Domain   : Topology
% Problem  : Property 1 of topological spaces
% Version  : [WM89] axioms : Incomplete.
% English  : If (cx,ct) is a topological space, A is a subset of X, and 
%            every point in A has a neighborhood U that is a subset of A, 
%            then A is open in (cx,ct).

% Refs     : [WM89]  Wick & McCune (1989), Automated Reasoning about Elemen
% Source   : [WM89]
% Names    : Problem 2 [WM89]

% Status   : Satisfiable
% Rating   : 0.86 v2.7.0, 0.80 v2.6.0, 1.00 v2.0.0
% Syntax   : Number of clauses     :  114 (  23 non-Horn;   3 unit; 109 RR)
%            Number of atoms       :  343 (   0 equality)
%            Maximal clause size   :    8 (   3 average)
%            Number of predicates  :   22 (   0 propositional; 1-4 arity)
%            Number of functors    :   39 (   4 constant; 0-5 arity)
%            Number of variables   :  359 (  56 singleton)
%            Maximal term depth    :    3 (   1 average)

% Comments : The axioms in this version are known to be incomplete. To
%            obtain a proof of this theorem it may be necessary to add
%            appropriate set theory axioms.
%--------------------------------------------------------------------------
%----Include Point-set topology axioms 
%include('Axioms/TOP001-0.ax').
%--------------------------------------------------------------------------
fof(problem_2_112,negated_conjecture,
    ( topological_space(cx,ct) )).

fof(problem_2_113,negated_conjecture,
    ( subset_sets(a,cx) )).

fof(problem_2_114,negated_conjecture,
    ( ~ element_of_set(Y,a)
    | neighborhood(f30(Y),Y,cx,ct) )).

fof(problem_2_115,negated_conjecture,
    ( ~ element_of_set(Y,a)
    | subset_sets(f30(Y),a) )).

fof(problem_2_116,negated_conjecture,
    ( ~ open(a,cx,ct) )).

%--------------------------------------------------------------------------
